package logic

import (
	"context"
	"fusenapi/utils/basic"

	"fusenapi/server/canteen/internal/svc"
	"fusenapi/server/canteen/internal/types"

	"github.com/zeromicro/go-zero/core/logx"
)

type SaveCanteenTypeProductLogic struct {
	logx.Logger
	ctx    context.Context
	svcCtx *svc.ServiceContext
}

func NewSaveCanteenTypeProductLogic(ctx context.Context, svcCtx *svc.ServiceContext) *SaveCanteenTypeProductLogic {
	return &SaveCanteenTypeProductLogic{
		Logger: logx.WithContext(ctx),
		ctx:    ctx,
		svcCtx: svcCtx,
	}
}

// 保存餐厅类型的关联产品
func (l *SaveCanteenTypeProductLogic) SaveCanteenTypeProduct(req *types.SaveCanteenTypeProductReq) (resp *types.Response) {

	return resp.SetStatus(basic.CodeOK)
}
